Skip to content
Pitch2SaleDevelopers
Open the app
Early access: these pages are being written and reviewed. Facts in the header boxes come straight from the product.

Update a webhook subscription

PUT
/api/v1/webhooks/{id}
curl --request PUT \
--url https://api.pitch2sale.com/api/v1/webhooks/example \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "name": "example", "url": "https://example.com", "events": [ "lead.created" ], "secret": "example", "headers": { "additionalProperty": "example" }, "is_active": true, "description": "example" }'

Change the URL, events, secret or is_active; partial.

id
required
string
Media typeapplication/json
object
name
string
>= 1 characters <= 200 characters
url
string format: uri
events
Array<string>
>= 1 items
Allowed values: lead.created lead.updated lead.deleted lead.status_changed contact.created contact.updated contact.deleted opportunity.created opportunity.updated opportunity.won opportunity.lost activity.created task.created task.completed call.completed email.received email.sent sms.received sms.sent form.submitted proposal.sent proposal.accepted proposal.declined contract.signed invoice.created invoice.sent invoice.paid invoice.overdue workflow.triggered
secret
string
>= 16 characters <= 256 characters
headers
object
key
additional properties
string
is_active
boolean
description
string
<= 1000 characters

OK

Validation failed

Media typeapplication/json
object
error
required
string
code
string
message
string
details
Array<object>
object
field
required
string
message
required
string
code
required
string
Examplegenerated
{
"error": "example",
"code": "example",
"message": "example",
"details": [
{
"field": "example",
"message": "example",
"code": "example"
}
]
}

Authentication required or token invalid

Media typeapplication/json
object
error
required
string
code
string
message
string
details
Array<object>
object
field
required
string
message
required
string
code
required
string
Examplegenerated
{
"error": "example",
"code": "example",
"message": "example",
"details": [
{
"field": "example",
"message": "example",
"code": "example"
}
]
}

Role permission or token scope missing

Media typeapplication/json
object
error
required
string
code
string
message
string
details
Array<object>
object
field
required
string
message
required
string
code
required
string
Examplegenerated
{
"error": "example",
"code": "example",
"message": "example",
"details": [
{
"field": "example",
"message": "example",
"code": "example"
}
]
}

Rate limit exceeded

Media typeapplication/json
object
error
required
string
code
string
message
string
details
Array<object>
object
field
required
string
message
required
string
code
required
string
Examplegenerated
{
"error": "example",
"code": "example",
"message": "example",
"details": [
{
"field": "example",
"message": "example",
"code": "example"
}
]
}